import { ComponentFixture, TestBed } from '@angular/core/testing';

import { DisbursementComponent } from './disbursement.component';
import {AccountsModule} from '../accounts.module';
import {AppModule} from '../../../app.module';
import {FooterStubComponent, SidebarStubComponent, TopbarStubComponent} from '../../../../testing';

describe('DisbursementComponent', () => {
  let component: DisbursementComponent;
  let fixture: ComponentFixture<DisbursementComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        DisbursementComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [
        AccountsModule,
        AppModule
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DisbursementComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
