import { ComponentFixture, TestBed } from '@angular/core/testing';

import { CreateAccountComponent } from './create-account.component';
import {AccountsModule} from '../accounts.module';
import {AppModule} from '../../../app.module';
import {FooterStubComponent, SidebarStubComponent, TopbarStubComponent} from '../../../../testing';


describe('CreateAccountComponent', () => {
  let component: CreateAccountComponent;
  let fixture: ComponentFixture<CreateAccountComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        CreateAccountComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [
        AccountsModule,
        AppModule
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(CreateAccountComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
