import { ComponentFixture, TestBed } from '@angular/core/testing';

import { TokensComponent } from './tokens.component';
import {FooterStubComponent, SidebarStubComponent, TopbarStubComponent} from '../../../testing';
import {AppModule} from '../../app.module';
import {TokensModule} from './tokens.module';

describe('TokensComponent', () => {
  let component: TokensComponent;
  let fixture: ComponentFixture<TokensComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        TokensComponent,
        FooterStubComponent,
        SidebarStubComponent,
        TopbarStubComponent
      ],
      imports: [
        AppModule,
        TokensModule
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(TokensComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
